package com.multictrl.modules.business.service;

import com.multictrl.common.page.PageData;
import com.multictrl.common.service.CrudService;
import com.multictrl.modules.business.dto.GeoPhotoDTO;
import com.multictrl.modules.business.entity.GeoPhotoEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 地理照片模型
 *
 * @author Sdy
 * @since 1.0.0 2026-06-05
 */
public interface GeoPhotoService extends CrudService<GeoPhotoEntity, GeoPhotoDTO> {

    //分页列表
    PageData<GeoPhotoDTO> pageList(Map<String, Object> params);

    //上传地理资源
    void upload(String type, MultipartFile file);

    //获取地理资源
    List<GeoPhotoDTO> getGeoList(String type);

    //删除地理资源
    void remove(Long id);

    //获取磁盘地图
    List<GeoPhotoDTO> getDiskMap();

    //磁盘上传模型
    void uploadModelDisk(List<String> names);

}